
Redmine - Defect #18733

Error 500 on groups feature

2015-01-02 11:45 - Bertrand Rousseau

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Groups Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.0

Description

Hello,

I've migrated from 2.3.1 to 2.6.0 ans I've got an error 500 on administration groups (http://&lt;REDMINE_URL&gt;/groups)

In the logs :

ActionView::Template::Error (undefined method `group_anonymou_path' for #<#<Class:0x0000001cc98c88

>:0x00000020afe9a0>):

    19:     <td class="name"><%= link_to h(group), edit_group_path(group) %></td>

    20:     <td><%= group.users.size %></td>

    21:     <%- if User.current.admin?%>

    22:         <td class="buttons"><%= delete_link group %></td>

    23:     <%- end %>

    24:   </tr>

    25: <% end %>

  app/helpers/application_helper.rb:1095:in `delete_link'

 versions :

ruby -v

ruby 2.0.0p598 (2014-11-13 revision 48408) [x86_64-linux]

 gems :

actionmailer (3.2.19)

actionpack (3.2.19)

activemodel (3.2.19)

activerecord (3.2.19)

activerecord-jdbc-adapter (1.3.13)

activerecord-jdbcmysql-adapter (1.3.13)

activeresource (3.2.19)

activesupport (3.2.19)

arel (3.0.3)

bigdecimal (1.2.0)

builder (3.0.4)

bundler (1.7.10)

bundler-unload (1.0.2)

capybara (2.1.0)

childprocess (0.5.5)

coderay (1.1.0)

daemon_controller (1.2.0)

dav4rack (0.2.11)

erubis (2.7.0)

executable-hooks (1.3.2)

ffi (1.9.6)

gem-wrappers (1.2.7)

hike (1.2.3)

i18n (0.7.0)
io-console (0.4.2)

jdbc-mysql (5.1.33)

journey (1.0.4)

jquery-rails (3.1.2)

json (1.8.1, 1.7.7)

mail (2.5.4)

metaclass (0.0.4)

mime-types (1.25.1)

mini_portile (0.6.2)

minitest (4.3.2)

mocha (1.0.0)

multi_json (1.10.1)

mysql (2.8.1)

mysql2 (0.3.17)

net-ldap (0.3.1)

nokogiri (1.6.5)

passenger (4.0.56)

polyglot (0.3.5)

psych (2.0.0)

rack (1.4.5)

rack-cache (1.2)

rack-openid (1.4.2)

rack-ssl (1.3.4)

rack-test (0.6.2)

rails (3.2.19)

railties (3.2.19)

rake (10.4.2, 0.9.6)

rbpdf (1.18.4)

rdoc (4.0.0, 3.12.2)

redcarpet (2.3.0)

request_store (1.0.5)

rmagick (2.13.4)

ruby-openid (2.3.0)

rubygems-bundler (1.4.4)

rubyzip (1.1.6)

rvm (1.11.3.9)

simple_enum (1.6.9)

sprockets (2.2.3)

test-unit (2.0.0.0)

thor (0.19.1)

tilt (1.4.1)

treetop (1.4.15)

tzinfo (0.3.42)

uuidtools (2.1.5)

xapian-full-alaveteli (1.2.9.5)

xpath (2.0.0)

yard (0.8.7.6)

zip-zip (0.3)

History

#1 - 2015-01-02 13:31 - Bertrand Rousseau

- Status changed from New to Resolved

I find the problem.

I use the plugin redmine_group_owners

https://github.com/dpausp/redmine_group_owners

It is not compatible with redmine 2.6.0

#2 - 2015-01-07 23:42 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
#3 - 2015-02-20 03:22 - Kevin NZ

I'm not a ruby programmer, but the following patch might work for this plugin:

diff --git a/app/views/groups/index.html.erb b/app/views/groups/index.html.erb

index 3d08870..e2b4c96 100644

--- a/app/views/groups/index.html.erb

+++ b/app/views/groups/index.html.erb

@@ -2,24 +2,23 @@

 <%= link_to l(:label_group_new), new_group_path, :class => 'icon icon-add' %>

 </div>

-<h2><%= l(:label_group_plural) %></h2>

-

+<%= title l(:label_group_plural) %>

 <% if @groups.any? %>

 <table class="list groups">

   <thead><tr>

   <th><%=l(:label_group)%></th>

   <th><%=l(:label_user_plural)%></th>

   <%- if User.current.admin?%>

-    <th></th>

+  <th></th>

   <%- end %>

   </tr></thead>

   <tbody>

 <% @groups.each do |group| %>

-  <tr class="<%= cycle 'odd', 'even' %>">

+  <tr id="group-<%= group.id %>" class="<%= cycle 'odd', 'even' %> <%= "builtin" if group.builtin? %>">

     <td class="name"><%= link_to h(group), edit_group_path(group) %></td>

-    <td><%= group.users.size %></td>

+    <td class="user_count"><%= group.users.size unless group.builtin? %></td>

     <%- if User.current.admin?%>

-        <td class="buttons"><%= delete_link group %></td>

+    <td class="buttons"><%= delete_link group unless group.builtin? %></td>

     <%- end %>

   </tr>

 <% end %>

diff --git a/lib/group_owners/patches/groups_helper_patch.rb b/lib/group_owners/patches/groups_helper_patch.rb

index f3cde50..99bac0c 100644

--- a/lib/group_owners/patches/groups_helper_patch.rb

+++ b/lib/group_owners/patches/groups_helper_patch.rb

@@ -9,11 +9,12 @@ module GroupOwners

       end

       module InstanceMethods

-        def group_settings_tabs_with_owner

-          tabs = [{:name => 'general', :partial => 'groups/general', :label => :label_general},

-                  {:name => 'users', :partial => 'groups/users', :label => :label_user_plural},

-          ]

-          tabs << {:name => 'memberships', :partial => 'groups/memberships', :label => :label_project_plural}

 << {:name => 'owners', :partial => 'groups/owners', :label => :label_owner_plural} if User.current.admin?

+        def group_settings_tabs_with_owner(group)

+          tabs = []

+          tabs << {:name => 'general', :partial => 'groups/general', :label => :label_general}

+          tabs << {:name => 'users', :partial => 'groups/users', :label => :label_user_plural} if group.givab

le?

+          tabs << {:name => 'memberships', :partial => 'groups/memberships', :label => :label_project_plural}

+          tabs << {:name => 'owners', :partial => 'groups/owners', :label => :label_owner_plural} if User.cur

rent.admin?

           tabs

         end
